The prompt is not really the way to you, you should have a tag. You can not create an attribute definition without a tag, I just tried, and it wouldn't let me. So you might need something like
Code:
(setq ss (ssget "x" '((0 . "INSERT") (2 . "NameOfBlock"))))
(while (setq Ent (ssname ss 0))
(setq tempEnt Ent)
(while
(and
(setq tempEnt (entnext tempEnt))
(setq EntData (entget tempEnt))
(= (cdr (assoc 0 EntData)) "ATTRIB")
)
(if (= (cdr (assoc 2 EntData)) "NameOfTagHere")
(entmod (subst (cons 1 "YourNewValueHere") (assoc 1 EntData) EntData))
)
(entupd Ent)
(ssdel Ent ss)
)
)
Be sure to enter your values where I say to in the code.